Query Fork Repository Synchronization Status
GET/api/v5/repos/:owner/:repo/sync_repo
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
Query Parameters
access_token stringrequired
branch string
Branch name
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
repo_sync_resultbooleanrequired
repo_sync_messagestringrequired
{
"repo_sync_result": true,
"repo_sync_message": "string"
}
{
"events": [
{
"action": 22,
"action_name": "opened",
"author": {
"id": 607,
"iam_id": "f09ca8d721eb49e4add47b67c0dbef81",
"username": "xiaogang",
"state": "active",
"email": "",
"name": "xiaogang",
"name_cn": "",
"web_url": "https://gitcode.com/xiaogang"
},
"author_id": 607,
"author_username": "xiaogang2",
"created_at": "2024-11-19T07:01:02.714Z",
"project_id": 249609,
"title": "{\"userid\":[496],\"username\":[\"xiaogang\"]}",
"filter_sensitive": true
}
],
"has_next_page": false
}